package main

import (
	_ "embed"
	"fyne.io/fyne/v2/app"

	"gitea.unprism.ru/KRBL/FemaInstaller/internal/installer"
	"gitea.unprism.ru/KRBL/FemaInstaller/internal/ui"
)

//go:embed defaultSettings.json
var defaultSettings string

func main() {
	// Create application
	myApp := app.New()

	// Create installer
	femaInstaller := installer.NewInstaller(defaultSettings)

	// Create and show main window
	mainWindow := ui.NewMainWindow(myApp, femaInstaller.Install)
	mainWindow.ShowAndRun()
}
